Subject: Re: bug#31304: Crashing when lots of document visible at once

From: Noam Postavsky <[email-masked]>
Date: Mon, 28 May 2018 18:38:34 -0400

tags 31304 + moreinfo
found 31304 25.3
quit

Brian Wagner <[email-masked]> writes:

> Repeatable bug, caused when GTerm is zoomed out far, and I try to navigate
> my file. Running on 2K screen, when I try to make use of the
> high-resolution, I get dumped back to the terminal.

How big is the terminal in lines x columns?

> Running from command line, not X11.
>
> Fatal error 11: Segmentation fault
> Backtrace:
> 0x4b0354 <???> at
> 0x49446c <???> at
> 0x4b0058 <???> at
> 0x4b173b <???> at
> 0x801966934 <pthread_sigmask+0x544> at /lib/libthr.so.3
> 0x801965ecf <pthread_getspecific+0xe5f> at /lib/libthr.so.3
> Segmentation fault (core dumped)

Can you build with debug symbols?  We can't really do much with a
backtrace like this.  It's possible this was fixed in version 26; if you
could check with 26.1 (just released) that would be interesting too.